:root {
    /* --primary-color: #3E362E; */
    /* --secondary-color: #865d36; */
    /* --tertiary-color: #93785b; */
    /* --fourth-color: #ac8968; */
    /* --fifth-color: #a69080; */

    /* --primary-color: #31708e; */
    /* --secondary-color: #687864; */
    /* --tertiary-color: #5085a5; */
    /* --hilite-color: #8fc1e3; */
    /* --background-color: #f7f9fb; */

    --primary-color: #BBF0FE;
    --secondary-color: #7B9965;
    --text-color: #4B4245;
    --hilite-color: #EAF8FB;
    --background-color: #ffffff;

    --mobile-x-padding: 4rem;
    --max-article-width: 70rem;
}

body {
    color: var(--text-color);
    background-color: var(--background-color);
}

* {
    box-sizing: border-box;
}

/*
 * site menu
*/
#navbar {
    color: var(--text-color);
    display: flex;
    flex-flow: row-reverse nowrap;
    align-items: center;
    justify-content: flex-end;
    height: 100px;
}

#navbar > .brand {
    align-items: flex-start;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    margin-left: 4rem;
    position: relative;
}

#navbar .site-name {
    font-size: 2rem;
    font-weight: 700;
    padding: 2rem 4rem 2rem 2rem;
}

#navbar ul {
    list-style-type: none;
    margin-bottom: 0;
}

#navbar ul > li {
    margin-bottom: 0;
    padding: 2rem 2rem;
    transition: all .4s ease-in-out;
}

#navbar a {
    color: var(--text-color);
    text-decoration: none;
}

#navbar ul > li:hover {
    background-color: var(--primary-color);
}

#menu-toggle {
  display: flex;
  flex-direction: column;
  padding-top: .75rem;
  padding-left: .75rem;
  position: relative;
  top: 1.5rem;
  left: 1.5rem;
  z-index: 1;
  -webkit-user-select: none;
  user-select: none;
}

#menu-toggle input
{
  display: flex;
  width: 40px;
  height: 32px;
  position: absolute;
  cursor: pointer;
  opacity: 0;
  z-index: 2;
}

#menu-toggle span
{
  display: flex;
  width: 29px;
  height: 2px;
  margin-bottom: 5px;
  position: relative;
  background: var(--text-color);
  border-radius: 3px;
  z-index: 1;
  transform-origin: 5px 0px;
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menu-toggle span:first-child
{
  transform-origin: 0% 0%;
}

#menu-toggle span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}

#menu-toggle input:checked ~ span
{
  opacity: 1;
  transform: rotate(45deg) translate(-3px, -1px);
  background: #36383F;
}
#menu-toggle input:checked ~ span:nth-last-child(3)
{
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menu-toggle input:checked ~ span:nth-last-child(2)
{
  transform: rotate(-45deg) translate(0, -1px);
}

#main-menu
{
  position: absolute;
  width: 75vw;
  left: -1.5rem;
  top: -2rem;
  box-shadow: 0 0 10px #85888C;
  padding-top: 8rem;
  background-color: var(--hilite-color);
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(-120%, 0);
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#main-menu li
{
  padding: 2rem 4rem;
  transition-delay: 2s;
}

#menu-toggle input:checked ~ ul
{
  transform: none;
}

@media screen and (min-width: 431px) {
    #navbar {
        flex-flow: row nowrap;
        justify-content: space-between;
    }
    
    #navbar > .brand {
        display: flex;
        margin-left: 1rem;
    }
    
    #menu-toggle {
        display: block;
        padding: 0;
        position: static;
        
    }
    
    #menu-toggle > input,
    #menu-toggle > span {
        display: none;
    }

    #main-menu {
        background-color: var(--background-color);
        box-shadow: none;
        display: flex;
        flex-flow: row;
        height: auto;
        padding-top: 0;
        position: static;
        transform: none;
        width: auto;
    }
}

/*
 * layout sections
 */
#main > section {
    /* margin-bottom: 4rem; */
}

.hero {
    background-size: cover;
    background-position: bottom;
    min-height: 50vh;
    position: relative;
    align-items: center;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
}

.hero > .hero-content {
    color: var(--background-color);
    text-align: center;
}

.hero > .photo-credit {
    border-radius: .5rem;
    bottom: 1rem;
    color: rgba(255,255,255,.75);
    left: 1rem;
    padding: .5rem 1rem;
    position: absolute;
}

.photo-credit {
    font-size: 1.1rem;
}

.rich-text-block {
    padding: 0 var(--mobile-x-padding);
}

.block-quote-block {
    background-color: var(--secondary-color);
    color: var(--background-color);
    padding: 4rem var(--mobile-x-padding);
}

.block-quote-block > div {
    margin: 0 auto;
    max-width: var(--max-article-width);
}

#footer {
    padding-bottom: 4rem;
    text-align: center;
}

#footer p {
    margin-bottom: 0
}

.image.fit > img,
.image.fit > a,
.image.fit > a > img,
.richtext-image.full-width {
    height: auto;
    width: 100%;
}

.split-block {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    padding: 4rem 0;
}

.split-block > .split-1 { width: 100%; }
.split-block > .split-2 { width: 100%; }
.split-block > .split-3 { width: 100%; }
.split-block > .split-4 { width: 100%; }
.split-block > .split-5 { width: 100%; }
.split-block > .split-6 { width: 100%; }
.split-block > .split-7 { width: 100%; }
.split-block > .split-8 { width: 100%; }

.species-list-block {
    padding: 0 var(--mobile-x-padding);
    display: flex;
}

.species-list-block > ul,
.resources-list-block > ul {
    list-style-type: none;
}

.resources-list-block {
    padding: 0 var(--mobile-x-padding);
}

.contact-form {
    padding: 0 var(--mobile-x-padding);
}

@media screen and (min-width: 431px) {
    .rich-text-block > .content,
    .block-quote-block > blockquote {
        margin: 0 auto;
        max-width: var(--max-article-width);
    }

    .split-block > .split-1 { width: calc(100% / 1); }
    .split-block > .split-2 { width: calc(100% / 2); }
    .split-block > .split-3 { width: calc(100% / 3); }
    .split-block > .split-4 { width: calc(100% / 4); }
    .split-block > .split-5 { width: calc(100% / 5); }
    .split-block > .split-6 { width: calc(100% / 6); }
    .split-block > .split-7 { width: calc(100% / 7); }
    .split-block > .split-8 { width: calc(100% / 8); }

    .species-list-block,
    .resources-list-block,
    .contact-form {
        margin: 0 auto;
        max-width: var(--max-article-width);
        padding: 0;
    }
    
    .species-description {
        display: flex;
        column-gap: 2rem;
    }

    .species-description .image {
        flex: 0 0 30%;
    }

}

/* @media screen and (min-width: 831px) { */
/*     .rich-text-block > .content, */
/*     .block-quote-block > blockquote { */
/*         margin: 0 auto; */
/*         max-width: var(--max-article-width); */
/*     } */
/* } */
